
\documentclass[12pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{mathtools}
\usepackage{hhline}
\usepackage[left=1.5cm, right=1.5cm, top=2cm, bottom=2cm]{geometry}


\title{XOR Game for 3 players}
\author{Simon Sekavčnik} 



\newcommand{\bra}[1]{\ensuremath{\langle #1 |}}
\newcommand{\ket}[1]{\ensuremath{| #1 \rangle}}
\newcommand{\braket}[1]{\ensuremath{ \langle #1 \rangle }}


\begin{document}


\begin{align}
  \ket{\Psi_{ABC}} &= \frac{1}{\sqrt{2}}(\ket{000} + \ket{111})\\
  \ket{\nu_0(\theta)} &= cos(\theta) \ket{0} + sin(\theta)\ket{1}\\
  \ket{\nu_1(\theta)} &= sin(\theta) \ket{0} - cos(\theta)\ket{1}
\end{align}
Referee gives three bits to Alice (A), Bob (B) and Charlie (C) {x,y,z} respectively.
Each player returns one bit {a,b,c}. Players have won, when following condition 
has been satisfied:
\begin{equation}
  x * y * z = a \oplus b \oplus c
\end{equation}

\section{Case: all inputs are 0} 
In order for players to win, acceptable answers are the following:

\begin{center}
\begin{tabular}{ |c|c|c|c|c|c|c|c| } 
 \hline
 x & y & z & a & b & c & $x*y*z$ & $ a \oplus b \oplus c$\\
 \hhline{|=|=|=|=|=|=|=|=|}
 0 & 0 & 0 & 0 & 0 & 0 &  0 & 0 \\
 0 & 0 & 0 & 1 & 1 & 0 &  0 & 0 \\
 0 & 0 & 0 & 0 & 1 & 1 &  0 & 0 \\
 0 & 0 & 0 & 1 & 0 & 1 &  0 & 0 \\
 \hline
\end{tabular}
\end{center}

\begin{align}
  P(win|x,y,z=0)=&| \bra{\nu_{A0}(\theta_{A0})} \otimes \bra{\nu_{B0}(\theta_{B0})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})| \Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A0})} \otimes \bra{\nu_{B1}(\theta_{B0})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A0}(\theta_{A0})} \otimes \bra{\nu_{B1}(\theta_{B0})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A0})} \otimes \bra{\nu_{B0}(\theta_{B0})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 \\
  P(win|x,y,z=0)=& \Big(\big[(cos(\theta_{A0})\bra{0_A} + sin(\theta_{A0})\bra{1_A}) \otimes
                   (cos(\theta_{B0})\bra{0_B} + sin(\theta_{B0})\bra{1_B}) \otimes \\
                 & (cos(\theta_{C0})\bra{0_C} + sin(\theta_{C0})\bra{1_C})\big]
               \ket{\Psi_{ABC}}\Big)^2 + \\
                 & \Big(\big[sin(\theta_{A0}) \bra{0_A} - cos(\theta_{A0} \bra{1_A} ) \otimes
                  (sin(\theta_{B0}) \bra{0_B} - cos(\theta_{B0} \bra{1_B} ) \otimes\\
                 & (cos(\theta_{C0})\bra{0_C} + sin(\theta_{C0})\bra{1_C})\big]
               \ket{\Psi_{ABC}}\Big)^2 + \\
                 & \Big(\big[cos(\theta_{A0}) \bra{0_A} + sin(\theta_{A0} \bra{1_A} ) \otimes
                  (sin(\theta_{B0}) \bra{0_B} - cos(\theta_{B0} \bra{1_B} ) \otimes\\
                 & (sin(\theta_{C0})\bra{0_C} - cos(\theta_{C0})\bra{1_C})\big]
               \ket{\Psi_{ABC}}\Big)^2 + \\
                 & \Big(\big[sin(\theta_{A0}) \bra{0_A} - cos(\theta_{A0} \bra{1_A} ) \otimes
                  (cos(\theta_{B0}) \bra{0_B} + sin(\theta_{B0} \bra{1_B} ) \otimes\\
                 & (sin(\theta_{C0})\bra{0_C} - cos(\theta_{C0})\bra{1_C})\big]
               \ket{\Psi_{ABC}}\Big)^2
\end{align}

\begin{align}
  P(win|x,y,z=0)=& \frac{1}{2} \big( cos(\theta_{A0})cos(\theta_{B0})cos(\theta_{C0})
    \braket{000|000} + sin(\theta_{A0})sin(\theta_{B0})sin(\theta_{C0}) \braket{111|111}\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})sin(\theta_{B0})cos(\theta_{C0})
    \braket{000|000} + cos(\theta_{A0})cos(\theta_{B0})sin(\theta_{C0}) \braket{111|111}\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A0})sin(\theta_{B0})sin(\theta_{C0})
    \braket{000|000} + sin(\theta_{A0})cos(\theta_{B0})cos(\theta_{C0}) \braket{111|111}\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})cos(\theta_{B0})sin(\theta_{C0})
    \braket{000|000} + cos(\theta_{A0})sin(\theta_{B0})cos(\theta_{C0}) \braket{111|111}\big)^2
\end{align}

\begin{align}
  P(win|x,y,z=0)=& \frac{1}{2} \big( cos(\theta_{A0})cos(\theta_{B0})cos(\theta_{C0})
    + sin(\theta_{A0})sin(\theta_{B0})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})sin(\theta_{B0})cos(\theta_{C0})
    + cos(\theta_{A0})cos(\theta_{B0})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A0})sin(\theta_{B0})sin(\theta_{C0})
    + sin(\theta_{A0})cos(\theta_{B0})cos(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})cos(\theta_{B0})sin(\theta_{C0})
    + cos(\theta_{A0})sin(\theta_{B0})cos(\theta_{C0})\big)^2
\end{align}

\newpage
\section{ Case: one input is 1, other two are 0 }
In order for players to win, acceptable answers are the following:

\begin{center}
\begin{tabular}{ |c|c|c|c|c|c|c|c| } 
 \hline
 x & y & z & a & b & c & $x*y*z$ & $ a \oplus b \oplus c$\\
 \hhline{|=|=|=|=|=|=|=|=|}
 1 & 0 & 0 & 0 & 0 & 0 &  0 & 0 \\
 1 & 0 & 0 & 1 & 1 & 0 &  0 & 0 \\
 1 & 0 & 0 & 0 & 1 & 1 &  0 & 0 \\
 1 & 0 & 0 & 1 & 0 & 1 &  0 & 0 \\
 \hline
 0 & 1 & 0 & 0 & 0 & 0 &  0 & 0 \\
 0 & 1 & 0 & 1 & 1 & 0 &  0 & 0 \\
 0 & 1 & 0 & 0 & 1 & 1 &  0 & 0 \\
 0 & 1 & 0 & 1 & 0 & 1 &  0 & 0 \\
 \hline
 0 & 0 & 1 & 0 & 0 & 0 &  0 & 0 \\
 0 & 0 & 1 & 1 & 1 & 0 &  0 & 0 \\
 0 & 0 & 1 & 0 & 1 & 1 &  0 & 0 \\
 0 & 0 & 1 & 1 & 0 & 1 &  0 & 0 \\
 \hline
\end{tabular}
\end{center}

\begin{align}
  P(win|x=1;y,z=0)&=| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B0})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})| \Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B0})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B0})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B0})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 =
\end{align}

\begin{align}
  P(win|x=1;y,z=0)=& \frac{1}{2} \big( cos(\theta_{A1})cos(\theta_{B0})cos(\theta_{C0})
    + sin(\theta_{A1})sin(\theta_{B0})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})sin(\theta_{B0})cos(\theta_{C0})
    + cos(\theta_{A1})cos(\theta_{B0})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A1})sin(\theta_{B0})sin(\theta_{C0})
    + sin(\theta_{A1})cos(\theta_{B0})cos(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})cos(\theta_{B0})sin(\theta_{C0})
    + cos(\theta_{A1})sin(\theta_{B0})cos(\theta_{C0})\big)^2
\end{align}

By analogy we can write other two cases.

\begin{align}
  P(win|y=1;x,z=0)=& \frac{1}{2} \big( cos(\theta_{A0})cos(\theta_{B1})cos(\theta_{C0})
    + sin(\theta_{A0})sin(\theta_{B1})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})sin(\theta_{B1})cos(\theta_{C0})
    + cos(\theta_{A0})cos(\theta_{B1})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A0})sin(\theta_{B1})sin(\theta_{C0})
    + sin(\theta_{A0})cos(\theta_{B1})cos(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})cos(\theta_{B1})sin(\theta_{C0})
    + cos(\theta_{A0})sin(\theta_{B1})cos(\theta_{C0})\big)^2
\end{align}

\begin{align}
  P(win|z=1;x,y=0)=& \frac{1}{2} \big( cos(\theta_{A0})cos(\theta_{B0})cos(\theta_{C1})
    + sin(\theta_{A0})sin(\theta_{B0})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})sin(\theta_{B0})cos(\theta_{C1})
    + cos(\theta_{A0})cos(\theta_{B0})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A0})sin(\theta_{B0})sin(\theta_{C1})
    + sin(\theta_{A0})cos(\theta_{B0})cos(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})cos(\theta_{B0})sin(\theta_{C1})
    + cos(\theta_{A0})sin(\theta_{B0})cos(\theta_{C1})\big)^2
\end{align}

\newpage
\section{ Case: Two inputs are 1, other is 0 }


\begin{center}
\begin{tabular}{ |c|c|c|c|c|c|c|c| } 
 \hline
 x & y & z & a & b & c & $x*y*z$ & $ a \oplus b \oplus c$\\
 \hhline{|=|=|=|=|=|=|=|=|}
 1 & 1 & 0 & 0 & 0 & 0 &  0 & 0 \\
 1 & 1 & 0 & 1 & 1 & 0 &  0 & 0 \\
 1 & 1 & 0 & 0 & 1 & 1 &  0 & 0 \\
 1 & 1 & 0 & 1 & 0 & 1 &  0 & 0 \\
 \hline
 0 & 1 & 1 & 0 & 0 & 0 &  0 & 0 \\
 0 & 1 & 1 & 1 & 1 & 0 &  0 & 0 \\
 0 & 1 & 1 & 0 & 1 & 1 &  0 & 0 \\
 0 & 1 & 1 & 1 & 0 & 1 &  0 & 0 \\
 \hline
 1 & 0 & 1 & 0 & 0 & 0 &  0 & 0 \\
 1 & 0 & 1 & 1 & 1 & 0 &  0 & 0 \\
 1 & 0 & 1 & 0 & 1 & 1 &  0 & 0 \\
 1 & 0 & 1 & 1 & 0 & 1 &  0 & 0 \\
 \hline
\end{tabular}
\end{center}

\begin{align}
  P(win|x,y=1;z=0)=&| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B1})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})| \Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B1})} 
  \otimes \braket{\nu_{C0}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B1})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B1})} 
  \otimes \braket{\nu_{C1}(\theta_{C0})|\Psi_{ABC}}|^2 
\end{align}

\begin{align}
  P(win|x,y=1;z=0)=& \frac{1}{2} \big( cos(\theta_{A1})cos(\theta_{B1})cos(\theta_{C0})
    + sin(\theta_{A1})sin(\theta_{B1})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})sin(\theta_{B1})cos(\theta_{C0})
    + cos(\theta_{A1})cos(\theta_{B1})sin(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A1})sin(\theta_{B1})sin(\theta_{C0})
    + sin(\theta_{A1})cos(\theta_{B1})cos(\theta_{C0})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})cos(\theta_{B1})sin(\theta_{C0})
    + cos(\theta_{A1})sin(\theta_{B1})cos(\theta_{C0})\big)^2
\end{align}

By analogy we can write other two cases.

\begin{align}
  P(win|y,z=1;x=0)=& \frac{1}{2} \big( cos(\theta_{A0})cos(\theta_{B1})cos(\theta_{C1})
    + sin(\theta_{A0})sin(\theta_{B1})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})sin(\theta_{B1})cos(\theta_{C1})
    + cos(\theta_{A0})cos(\theta_{B1})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A0})sin(\theta_{B1})sin(\theta_{C1})
    + sin(\theta_{A0})cos(\theta_{B1})cos(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A0})cos(\theta_{B1})sin(\theta_{C1})
    + cos(\theta_{A0})sin(\theta_{B1})cos(\theta_{C1})\big)^2
\end{align}

\begin{align}
  P(win|x,z=1;y=0)=& \frac{1}{2} \big( cos(\theta_{A1})cos(\theta_{B0})cos(\theta_{C1})
    + sin(\theta_{A1})sin(\theta_{B0})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})sin(\theta_{B0})cos(\theta_{C1})
    + cos(\theta_{A1})cos(\theta_{B0})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A1})sin(\theta_{B0})sin(\theta_{C1})
    + sin(\theta_{A1})cos(\theta_{B0})cos(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})cos(\theta_{B0})sin(\theta_{C1})
    + cos(\theta_{A1})sin(\theta_{B0})cos(\theta_{C1})\big)^2
\end{align}
\newpage
\section{ Case: All inputs are 1 }

\begin{center}
\begin{tabular}{ |c|c|c|c|c|c|c|c| } 
 \hline
 x & y & z & a & b & c & $x*y*z$ & $ a \oplus b \oplus c$\\
 \hhline{|=|=|=|=|=|=|=|=|}
 1 & 1 & 1 & 1 & 0 & 0 &  1 & 1 \\
 1 & 1 & 1 & 0 & 1 & 0 &  1 & 1 \\
 1 & 1 & 1 & 0 & 0 & 1 &  1 & 1 \\
 1 & 1 & 1 & 1 & 1 & 1 &  1 & 1 \\
 \hline
\end{tabular}


\begin{align}
  P(win|x,y,z=1)=&| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B1})} 
  \otimes \braket{\nu_{C0}(\theta_{C1})| \Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B1})} 
  \otimes \braket{\nu_{C0}(\theta_{C1})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A0}(\theta_{A1})} \otimes \bra{\nu_{B0}(\theta_{B1})} 
  \otimes \braket{\nu_{C1}(\theta_{C1})|\Psi_{ABC}}|^2 + \\
                 &| \bra{\nu_{A1}(\theta_{A1})} \otimes \bra{\nu_{B1}(\theta_{B1})} 
  \otimes \braket{\nu_{C1}(\theta_{C1})|\Psi_{ABC}}|^2 
\end{align}

\begin{align}
  P(win|x,y,z=1)=& \frac{1}{2} \big( sin(\theta_{A1})cos(\theta_{B1})cos(\theta_{C1})
    - cos(\theta_{A1})sin(\theta_{B1})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A1})sin(\theta_{B1})cos(\theta_{C1})
    - sin(\theta_{A1})cos(\theta_{B1})sin(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( cos(\theta_{A1})cos(\theta_{B1})sin(\theta_{C1})
    - sin(\theta_{A1})sin(\theta_{B1})cos(\theta_{C1})\big)^2+\\
                 & \frac{1}{2} \big( sin(\theta_{A1})sin(\theta_{B1})sin(\theta_{C1})
    - cos(\theta_{A1})cos(\theta_{B1})cos(\theta_{C1})\big)^2
\end{align}
\end{center}


\section{Combining all of the probabilities}

\begin{align}
  P(win)&= P(win|x,y,z=0) + \\
        &P(win|x=1;y,z,=0) + P(win|y=1;y,z=0) + P(win|z=1;x,y=0)+\\
        &P(win|x,y=1;z=0) + P(win|y,z=1;x=0) + P(win|x,z=1;y=0)+\\
        &P(win|x,y,z=1)
\end{align}
\end{document}
